<!DOCTYPE HTML>
<html>
  <head>
	<meta charset="UTF-8">
	<meta name="Author" content="Wojciech Mańka">
	<title>Wykresy</title>
    <script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
    <script type="text/javascript">
	google.charts.load('current', {packages: ['corechart', 'bar']});
	google.charts.setOnLoadCallback(drawAnnotations);
	function drawAnnotations() {
	<?php
		if(isset($_GET['c']) && is_numeric($_GET['c']) && $_GET['c'] <= 200 && $_GET['c'] >= 0)
		{
			$c = $_GET['c'];
		}
		else
		{
			$c = 50;
		}
		$polaczenie = new SQLite3('network.db');
		$DB_read_host = $polaczenie->query("SELECT DISTINCT host FROM pings");
		$i = 1;
		while($hosts = $DB_read_host->fetchArray(SQLITE3_ASSOC))
		{
			echo "var data$i = new google.visualization.DataTable();\n";
			echo "data$i.addColumn('string', 'Day');\n";
			echo "data$i.addColumn('number', 'Czas odpowiedzi');\n";
			echo "data$i.addColumn({type: 'string', role: 'annotation'});\n";
			echo "data$i.addColumn('number', 'Utracone pakiety');\n";
			echo "data$i.addColumn({type: 'string', role: 'annotation'});\n";
			echo "data$i.addRows([\n";
			$host = $hosts['host'];
			$DB_read_params = $polaczenie->query("SELECT * FROM (SELECT * FROM pings WHERE host = '".$host."' ORDER BY ID DESC LIMIT ".$c.") ORDER BY ID ASC");
			while($params = $DB_read_params->fetchArray(SQLITE3_ASSOC))				
			{
				echo '["'.$params['date'].'",  '.$params['response_time'].',\''.$params['response_time'].'\',  '.$params['packets_lost'].',\''.$params['packets_lost'].'\'],';
			}
			echo "]);\n";
			echo "var options$i = {\n";
			echo "title: 'Wykres czasu odpowiedzi z $host',\n";
			echo "annotations: { alwaysOutside: true, textStyle: { fontSize: 14, color: '#000', auraColor: 'none' } },\n";
			echo "hAxis: { title: 'Data i godzina', format: 'h:mm a', },\n";
			echo "vAxis: { title: 'Czas odpowiedzi i utracone pakiety' } };\n";
			echo "var chart$i = new google.visualization.ColumnChart(document.getElementById('chart$i'));";
			echo "chart$i.draw(data$i, options$i);";
			$i++;
		}
		$DB_read_host = $polaczenie->query("SELECT DISTINCT host FROM bandwidth_tests");
		while($hosts = $DB_read_host->fetchArray(SQLITE3_ASSOC))
		{
			echo "var data$i = new google.visualization.DataTable();\n";
			echo "data$i.addColumn('string', 'Day');\n";
			echo "data$i.addColumn('number', 'TX');\n";
			echo "data$i.addColumn({type: 'string', role: 'annotation'});\n";
			echo "data$i.addColumn('number', 'RX');\n";
			echo "data$i.addColumn({type: 'string', role: 'annotation'});\n";
			echo "data$i.addRows([\n";
			$host = $hosts['host'];
			$DB_read_params = $polaczenie->query("SELECT * FROM (SELECT * FROM bandwidth_tests WHERE host = '".$host."' ORDER BY ID DESC LIMIT ".$c.") ORDER BY ID ASC");
			while($params = $DB_read_params->fetchArray(SQLITE3_ASSOC))
			{
				echo '["'.$params['date'].'",  '.$params['tx'].',\''.$params['tx'].'\',  '.$params['rx'].',\''.$params['rx'].'\'],';
			}
			echo "]);\n";
			echo "var options$i = {\n";
			echo "title: 'Wykres prędkości do $host',\n";
			echo "annotations: { alwaysOutside: true, textStyle: { fontSize: 14, color: '#000', auraColor: 'none' } },\n";
			echo "hAxis: { title: 'Data i godzina', format: 'h:mm a', },\n";
			echo "vAxis: { title: 'Prędkość' } };\n";
			echo "var chart$i = new google.visualization.ColumnChart(document.getElementById('chart$i'));";
			echo "chart$i.draw(data$i, options$i);";
			$i++;
		} 
		$polaczenie->close();
	?>
	}
	</script>
  </head>
  <body>
    Wybierz ilość rekordów do wyświetlenia (domyślnie 50)
    <form>
        <select name="c" onchange="form.submit()">
          <option></option>
          <option value="50">50</option>
          <option value="100">100</option>
          <option value="200">200</option>
        </select>
    </form>
	<?php
	for($a=1;$a<$i;$a++)
	{
		echo '<div id="chart'.$a.'" style="height: 400px"></div>';
	}
	?>
  </body>
</html>
